Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Null_Factory Class Reference

The factory for a simple event channel. More...

`#include <EC_Null_Factory.h>`

Inheritance diagram for TAO_EC_Null_Factory:

[legend]
Collaboration diagram for TAO_EC_Null_Factory:

[legend]
List of all members.

## Public Methods
| TAO_EC_Null_Factory (void)
| Constructor. More...
virtual | ~TAO_EC_Null_Factory (void)
| destructor... More...
virtual TAO_EC_Dispatching * | create_dispatching (TAO_EC_Event_Channel *)
| Create and destroy the dispatching module. More...
virtual void | destroy_dispatching (TAO_EC_Dispatching *)
virtual TAO_EC_Filter_Builder * | create_filter_builder (TAO_EC_Event_Channel *)
| Create and destroy the filter builder. More...
virtual void | destroy_filter_builder (TAO_EC_Filter_Builder *)
virtual TAO_EC_Supplier_Filter_Builder * | create_supplier_filter_builder (TAO_EC_Event_Channel *)
| Create and destroy the filter builder. More...
virtual void | destroy_supplier_filter_builder (TAO_EC_Supplier_Filter_Builder *)
virtual TAO_EC_ConsumerAdmin * | create_consumer_admin (TAO_EC_Event_Channel *)
| Create and destroy the consumer admin implementation. More...
virtual void | destroy_consumer_admin (TAO_EC_ConsumerAdmin *)
virtual TAO_EC_SupplierAdmin * | create_supplier_admin (TAO_EC_Event_Channel *)
| Create and destroy the supplier admin implementation. More...
virtual void | destroy_supplier_admin (TAO_EC_SupplierAdmin *)
virtual TAO_EC_ProxyPushSupplier * | create_proxy_push_supplier (TAO_EC_Event_Channel *)
| Create and destroy a ProxyPushSupplier. More...
virtual void | destroy_proxy_push_supplier (TAO_EC_ProxyPushSupplier *)
virtual TAO_EC_ProxyPushConsumer * | create_proxy_push_consumer (TAO_EC_Event_Channel *)
| Create and destroy a ProxyPushConsumer. More...
virtual void | destroy_proxy_push_consumer (TAO_EC_ProxyPushConsumer *)
virtual TAO_EC_Timeout_Generator * | create_timeout_generator (TAO_EC_Event_Channel *)
| Create and destroy the timer module. More...
virtual void | destroy_timeout_generator (TAO_EC_Timeout_Generator *)
virtual TAO_EC_ObserverStrategy * | create_observer_strategy (TAO_EC_Event_Channel *)
| Create and destroy the observer strategy. More...
virtual void | destroy_observer_strategy (TAO_EC_ObserverStrategy *)
virtual TAO_EC_Scheduling_Strategy * | create_scheduling_strategy (TAO_EC_Event_Channel *)
| Create and destroy the observer strategy. More...
virtual void | destroy_scheduling_strategy (TAO_EC_Scheduling_Strategy *)
virtual TAO_EC_ProxyPushConsumer_Collection * | create_proxy_push_consumer_collection (TAO_EC_Event_Channel *)
| Create and destroy a collection of TAO_EC_ProxyPushConsumers. More...
virtual void | destroy_proxy_push_consumer_collection (TAO_EC_ProxyPushConsumer_Collection *)
virtual TAO_EC_ProxyPushSupplier_Collection * | create_proxy_push_supplier_collection (TAO_EC_Event_Channel *)
| Create and destroy a collection of TAO_EC_ProxyPushSuppliers. More...
virtual void | destroy_proxy_push_supplier_collection (TAO_EC_ProxyPushSupplier_Collection *)
virtual ACE_Lock * | create_consumer_lock (void)
| Create and destroy the locking strategies for both ProxyPushConsumers and ProxyPushSuppliers. More...
virtual void | destroy_consumer_lock (ACE_Lock *)
virtual ACE_Lock * | create_supplier_lock (void)
virtual void | destroy_supplier_lock (ACE_Lock *)
virtual TAO_EC_ConsumerControl * | create_consumer_control (TAO_EC_Event_Channel *)
| The ConsumerControl and SupplierControl strategies are used to discard non-existent consumers and suppliers. More...
virtual void | destroy_consumer_control (TAO_EC_ConsumerControl *)
virtual TAO_EC_SupplierControl * | create_supplier_control (TAO_EC_Event_Channel *)
virtual void | destroy_supplier_control (TAO_EC_SupplierControl *)

## Detailed Description

The factory for a simple event channel.

The simplest configuration for an event channel does no filtering and uses reactive dispatching. This class is used to configure such an event channel. A fixed POA is used for servant activation. This object creates a single instance of the Supplier

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Null_Factory::TAO_EC_Null_Factory | ( | void |  | ) |

| Constructor.

TAO_EC_Null_Factory::~TAO_EC_Null_Factory | ( | void |  | ) | `[virtual]`

| destructor...

## Member Function Documentation

TAO_EC_ConsumerAdmin * TAO_EC_Null_Factory::create_consumer_admin | ( | TAO_EC_Event_Channel * | ec | ) | `[virtual]`

| Create and destroy the consumer admin implementation. Reimplemented from TAO_EC_Factory.

TAO_EC_ConsumerControl * TAO_EC_Null_Factory::create_consumer_control | ( | TAO_EC_Event_Channel * | ec | ) | `[virtual]`

| The ConsumerControl and SupplierControl strategies are used to discard non-existent consumers and suppliers. Reimplemented from TAO_EC_Factory.

ACE_Lock * TAO_EC_Null_Factory::create_consumer_lock | ( | void |  | ) | `[virtual]`

| Create and destroy the locking strategies for both ProxyPushConsumers and ProxyPushSuppliers. Reimplemented from TAO_EC_Factory.

TAO_EC_Dispatching * TAO_EC_Null_Factory::create_dispatching | ( | TAO_EC_Event_Channel * | ec | ) | `[virtual]`

| Create and destroy the dispatching module. Reimplemented from TAO_EC_Factory.

TAO_EC_Filter_Builder * TAO_EC_Null_Factory::create_filter_builder | ( | TAO_EC_Event_Channel * | ec | ) | `[virtual]`

| Create and destroy the filter builder. Reimplemented from TAO_EC_Factory.

TAO_EC_ObserverStrategy * TAO_EC_Null_Factory::create_observer_strategy | ( | TAO_EC_Event_Channel * | ec | ) | `[virtual]`

| Create and destroy the observer strategy. Reimplemented from TAO_EC_Factory.

TAO_EC_ProxyPushConsumer * TAO_EC_Null_Factory::create_proxy_push_consumer | ( | TAO_EC_Event_Channel * | ec | ) | `[virtual]`

| Create and destroy a ProxyPushConsumer. Reimplemented from TAO_EC_Factory.

TAO_EC_ProxyPushConsumer_Collection * TAO_EC_Null_Factory::create_proxy_push_consumer_collection | ( | TAO_EC_Event_Channel * | ec | ) | `[virtual]`

| Create and destroy a collection of TAO_EC_ProxyPushConsumers. Reimplemented from TAO_EC_Factory.

TAO_EC_ProxyPushSupplier * TAO_EC_Null_Factory::create_proxy_push_supplier | ( | TAO_EC_Event_Channel * | ec | ) | `[virtual]`

| Create and destroy a ProxyPushSupplier. Reimplemented from TAO_EC_Factory.

TAO_EC_ProxyPushSupplier_Collection * TAO_EC_Null_Factory::create_proxy_push_supplier_collection | ( | TAO_EC_Event_Channel * | ec | ) | `[virtual]`

| Create and destroy a collection of TAO_EC_ProxyPushSuppliers. Reimplemented from TAO_EC_Factory.

TAO_EC_Scheduling_Strategy * TAO_EC_Null_Factory::create_scheduling_strategy | ( | TAO_EC_Event_Channel * | ec | ) | `[virtual]`

| Create and destroy the observer strategy. Reimplemented from TAO_EC_Factory.

TAO_EC_SupplierAdmin * TAO_EC_Null_Factory::create_supplier_admin | ( | TAO_EC_Event_Channel * | ec | ) | `[virtual]`

| Create and destroy the supplier admin implementation. Reimplemented from TAO_EC_Factory.

TAO_EC_SupplierControl * TAO_EC_Null_Factory::create_supplier_control | ( | TAO_EC_Event_Channel * | ec | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

TAO_EC_Supplier_Filter_Builder * TAO_EC_Null_Factory::create_supplier_filter_builder | ( | TAO_EC_Event_Channel * | ec | ) | `[virtual]`

| Create and destroy the filter builder. Reimplemented from TAO_EC_Factory.

ACE_Lock * TAO_EC_Null_Factory::create_supplier_lock | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

TAO_EC_Timeout_Generator * TAO_EC_Null_Factory::create_timeout_generator | ( | TAO_EC_Event_Channel * | ec | ) | `[virtual]`

| Create and destroy the timer module. Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_consumer_admin | ( | TAO_EC_ConsumerAdmin * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_consumer_control | ( | TAO_EC_ConsumerControl * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_consumer_lock | ( | ACE_Lock * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_dispatching | ( | TAO_EC_Dispatching * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_filter_builder | ( | TAO_EC_Filter_Builder * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_observer_strategy | ( | TAO_EC_ObserverStrategy * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_proxy_push_consumer | ( | TAO_EC_ProxyPushConsumer * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_proxy_push_consumer_collection | ( | TAO_EC_ProxyPushConsumer_Collection * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_proxy_push_supplier | ( | TAO_EC_ProxyPushSupplier * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_proxy_push_supplier_collection | ( | TAO_EC_ProxyPushSupplier_Collection * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_scheduling_strategy | ( | TAO_EC_Scheduling_Strategy * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_supplier_admin | ( | TAO_EC_SupplierAdmin * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_supplier_control | ( | TAO_EC_SupplierControl * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_supplier_filter_builder | ( | TAO_EC_Supplier_Filter_Builder * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_supplier_lock | ( | ACE_Lock * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

void TAO_EC_Null_Factory::destroy_timeout_generator | ( | TAO_EC_Timeout_Generator * | x | ) | `[virtual]`

| Reimplemented from TAO_EC_Factory.

The documentation for this class was generated from the following files:

- EC_Null_Factory.h
- EC_Null_Factory.cpp
- EC_Null_Factory.i